"lintex" is a C program that removes auxilliary (La)TeX files that are
usually not needed after a (La)TeX run (log, aux, dvi, ... files);
they are however actually removed only if their modification time is
more recent than the one of the related TeX source.  The backup files
usually created by many editors are also removed.

To remove or not remove additional extensions, lintex can parse the
configuration file $HOME/.lintexrc . See the included example and the
manpage for more details

Here follows an example run:

ryan@nu $ lintex -h
lintex version 1.13 (2012-09-03)
Usage:
  lintex [OPTIONS] [DIR [DIR ...]]
Purpose:
  Removes unneeded TeX auxiliary files and editor backup files from the
  given directories (default: the current directory); the TeX files are
  actually removed only if their modification time is more recent than
  the one of the related TeX source and if they aren't readonly.
  Please see the manpage for a list of extensions that get removed.
Options:
  -i     : asks the user before removing any file;
  -r     : scans recursively the subdirectories of the given
           directories;
  -b ext : "ext" is the trailing string identifying editor backup files
           (defaults to "~").  -b "" avoids any cleanup of special
           files;
  -p     : pretend, show what files would be removed but don't actually
           remove them;
  -k     : keeps final document (.pdf, .ps, .dvi, etc.);
  -o     : permit removal of files older than their sources;
  -q     : quiet, only print error messages;
  -v     : verbose, prints which files were removed and which weren't;
  -d     : debug output, prints the answers to all of life's questions.
ryan@nu $ ls -lR
.:
total 4
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 bar.aux
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 bar.dvi
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 bar.log
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 bar.pdf
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 bar.ps
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 bar.tex
drwxr-xr-x 2 ryan ryan 4096 Sep  3 18:26 dir1/
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 foo.aux
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 foo.dvi
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 foo.log
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 foo.pdf
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 foo.ps
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:28 foo.tex

./dir1:
total 0
-rw-r--r-- 1 ryan ryan 0 Sep  3 18:26 baz.aux
-rw-r--r-- 1 ryan ryan 0 Sep  3 18:26 baz.dvi
-rw-r--r-- 1 ryan ryan 0 Sep  3 18:26 baz.log
-rw-r--r-- 1 ryan ryan 0 Sep  3 18:26 baz.pdf
-rw-r--r-- 1 ryan ryan 0 Sep  3 18:26 baz.ps
-rw-r--r-- 1 ryan ryan 0 Sep  3 18:26 baz.tex
ryan@nu $ lintex -r README .
lintex: "README" cannot be opened (or is not a directory)
./bar.aux has been removed
./bar.dvi has been removed
./bar.log has been removed
./bar.pdf has been removed
./bar.ps has been removed
./dir1/baz.aux has been removed
./dir1/baz.dvi has been removed
./dir1/baz.log has been removed
./dir1/baz.pdf has been removed
./dir1/baz.ps has been removed
ryan@nu $ ls -lR
.:
total 4
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 bar.tex
drwxr-xr-x 2 ryan ryan 4096 Sep  3 18:26 dir1/
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 foo.aux
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 foo.dvi
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 foo.log
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 foo.pdf
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 foo.ps
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:28 foo.tex
-rw-r--r-- 1 ryan ryan    0 Sep  3 18:26 README

./dir1:
total 0
-rw-r--r-- 1 ryan ryan 0 Sep  3 18:26 baz.tex
